## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate sequoia-keystore-softkeys

Name:           rust-sequoia-keystore-softkeys
Version:        0.6.0
Release:        %autorelease
Summary:        Soft key (in-memory key) backend for Sequoia's private key store

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-keystore-softkeys
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          sequoia-keystore-softkeys-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * enable missing "sequoia-openpgp/compression" feature
Patch:          sequoia-keystore-softkeys-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A soft key (in-memory key) backend for Sequoia's private key store.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
# build with the default crypto backend (Nettle)
%cargo_build -f sequoia-openpgp/crypto-nettle

%install
%cargo_install

%if %{with check}
%check
%if %{undefined rhel}
# * Rust compiler on RHEL is too old to compile tests
%cargo_test
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Sat Sep 28 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-2
- Skip tests on RHEL to avoid build failures with old Rust versions

* Tue Sep 17 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-1
- Update to version 0.6.0; Fixes RHBZ#2308269

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 15 2024 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Update to version 0.5.0; Fixes RHBZ#2281534

* Fri Jun 14 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-1
- Update to version 0.4.1

* Thu Apr 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-1
- Update to version 0.3.0; Fixes RHBZ#2271329

* Thu Feb 29 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-1
- Initial import (#2264675)
## END: Generated by rpmautospec
